import { DynamicParams } from "../web/dynamic-params";
/**
 * Get resources route.
 */
export declare function getResourceRoute(req: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Create resources route.
 */
export declare function postResourceRoute(req: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Delete resources route.
 */
export declare function deleteResourceRoute(req: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Update resources route.
 */
export declare function putResourceRoute(req: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Get one resource route.
 */
export declare function getResourceByIdRoute(req: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Update one resource route.
 */
export declare function putResourceByIdRoute(req: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Delete one resourc route.
 */
export declare function deleteResourceByIdRoute(_: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Create or update resources route.
 */
export declare function upsertResourceRoute(req: Request, { params }: DynamicParams): Promise<Response>;
